{ pkgs, config, lib, ... }: let
  modifier = "SUPER";
in {
  xdg.configFile."hypr/hyprland.conf".text = ''

    env = XDG_CURRENT_DESKTOP,Hyprland
    env = XDG_SESSION_TYPE,wayland
    env = XDG_SESSION_DESKTOP,hyprland
    env = GDK_BACKEND,wayland
    env = QT_QPA_PLATFORM,wayland

    general {
      gaps_in = 1
      gaps_out = 1
      border_size = 1
      layout = master
    }
    
    input {
      kb_layout = de
      accel_profile = flat
      follow_mouse = 1
      mouse_refocus = 0
      sensitivity = 0
      touchpad {
        natural_scroll = yes
        disable_while_typing = no
      }
      repeat_rate = 50
      repeat_delay = 300
    }

    master {
      new_is_master = no
      new_on_top = no
      mfact = 0.65
      special_scale_factor = 1
    }

    exec-once = waybar

    $SUPER = ${modifier};
    bind = $SUPER, Q, exec, kitty
    bind = $SUPER, F, exec, librewolf
  '';
}
